## golang-github-bougou-go-ipmi 0.7.2

=== debian/changelog ===
golang-github-bougou-go-ipmi (0.7.2-2) unstable; urgency=medium

  * debian/rules: add missing trailing slash to DH_GOLANG_EXCLUDES

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 15 Feb 2025 02:30:21 +0000

golang-github-bougou-go-ipmi (0.7.2-1) unstable; urgency=medium

  * Initial release (Closes: #1095934)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 14 Feb 2025 00:48:44 +0000
