=== debian/control ===
Source: golang-github-bougou-go-ipmi
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-google-uuid-dev,
               golang-github-olekukonko-tablewriter-dev,
               golang-golang-x-net-dev,
               golang-pretty-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-bougou-go-ipmi
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-bougou-go-ipmi.git
Homepage: https://github.com/bougou/go-ipmi
XS-Go-Import-Path: github.com/bougou/go-ipmi

Package: golang-github-bougou-go-ipmi-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-uuid-dev,
         golang-github-olekukonko-tablewriter-dev,
         golang-golang-x-net-dev,
         golang-pretty-dev,
         ${misc:Depends},
Description: Pure Go IPMI client library
 go-ipmi is a native Go IPMI client library. It does not wrap freeipmi,
 ipmitool etc. IPMI v1.5 and v2.0 are supported.
