## golang-github-bougou-go-ipmi 0.7.7

=== debian/changelog ===
golang-github-bougou-go-ipmi (0.7.7-1) unstable; urgency=medium

  * New upstream release
  * Refresh d/gitlab-ci.yml from dh-make-golang template
  * Use correct package name for golang-github-kr-pretty-dev, instead of
    golang-pretty-dev virtual package
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Aug 2025 18:19:08 +0000
