=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dh-sequence-golang,
                golang-any,
                golang-github-google-uuid-dev,
+               golang-github-kr-pretty-dev,
                golang-github-olekukonko-tablewriter-dev,
                golang-golang-x-net-dev,
-               golang-pretty-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-bougou-go-ipmi
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-bougou-go-ipmi.git
 Homepage: https://github.com/bougou/go-ipmi
@@ -22,9 +22,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-google-uuid-dev,
+         golang-github-kr-pretty-dev,
          golang-github-olekukonko-tablewriter-dev,
          golang-golang-x-net-dev,
-         golang-pretty-dev,
          ${misc:Depends},
 Description: Pure Go IPMI client library
  go-ipmi is a native Go IPMI client library. It does not wrap freeipmi,
