## golang-github-bougou-go-ipmi 0.7.8

=== debian/changelog ===
golang-github-bougou-go-ipmi (0.7.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Set minimum required version of golang-github-olekukonko-tablewriter-dev

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 16 Aug 2025 15:51:59 +0000
