=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                golang-any,
                golang-github-google-uuid-dev,
                golang-github-kr-pretty-dev,
-               golang-github-olekukonko-tablewriter-dev,
+               golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
                golang-golang-x-net-dev,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.2
@@ -23,7 +23,7 @@
 Multi-Arch: foreign
 Depends: golang-github-google-uuid-dev,
          golang-github-kr-pretty-dev,
-         golang-github-olekukonko-tablewriter-dev,
+         golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
          golang-golang-x-net-dev,
          ${misc:Depends},
 Description: Pure Go IPMI client library
