## golang-github-bougou-go-ipmi 0.8.0

=== debian/changelog ===
golang-github-bougou-go-ipmi (0.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field
    - Drop redundant Rules-Requires-Root

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Dec 2025 22:19:20 +0000
