=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: golang-github-bougou-go-ipmi
 Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -12,7 +10,7 @@
                golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
                golang-golang-x-net-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-bougou-go-ipmi
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-bougou-go-ipmi.git
 Homepage: https://github.com/bougou/go-ipmi
